Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class TextLabelBase

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.objects.Null
                  de.grogra.imp3d.objects.Label
                      de.grogra.imp3d.objects.TextLabelBase

All Implemented Interfaces:
  Transformation, Pickable, Renderable, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, java.io.Serializable

Direct Known Subclasses:
  NumericLabel, TextLabel

    public abstract class TextLabelBase

extends Label
implements Pickable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`protected Color3f` | `color`
`static Node.NType.Field` | `color$FIELD`
`protected Color3f` | `fillColor`
`static Node.NType.Field` | `fillColor$FIELD`
`protected static int` | `FILLED_MASK`
`static Node.NType.Field` | `filled$FIELD`
`protected FontAdapter` | `font`
`static Node.NType.Field` | `font$FIELD`
`protected static int` | `OUTLINED_MASK`
`static Node.NType.Field` | `outlined$FIELD`
`static int` | `USED_BITS`

Fields inherited from class de.grogra.imp3d.objects.Label
`BOTTOM_MASK, HORIZONTAL_MASK, horizontalAlignment$FIELD, LEFT_MASK, RIGHT_MASK, TOP_MASK, VERTICAL_MASK, verticalAlignment$FIELD`

Fields inherited from class de.grogra.imp3d.objects.Null
`transform, transform$FIELD, TRANSFORMING_MASK, transforming$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`TextLabelBase()`

Method Summary
`void` | `draw(java.lang.Object object, boolean asNode, RenderState rs)`
`static void` | `draw(java.lang.String caption, java.awt.Font font, int horizontal, int vertical, Tuple3f c, Tuple3f b, boolean filled, boolean outlined, RenderState rs)`
`protected abstract java.lang.String` | `getCaption()`
`Color3f` | `getColor()`
`Color3f` | `getFillColor()`
`FontAdapter` | `getFont()`
`boolean` | `isFilled()`
`boolean` | `isOutlined()`
`void` | `pick(java.lang.Object object, boolean asNode, Point3d origin, Vector3d direction, Matrix4d t, PickList list)` Computes intersections of a given ray with this shape.
`static void` | `pick(java.lang.String caption, java.awt.Font font, int horizontal, int vertical, Point3d origin, Vector3d direction, Matrix4d transformation, PickList list)`
`void` | `setColor(Color3f value)`
`void` | `setFillColor(Color3f value)`
`void` | `setFilled(boolean v)`
`void` | `setFont(FontAdapter value)`
`void` | `setOutlined(boolean v)`

Methods inherited from class de.grogra.imp3d.objects.Label
`getHorizontalAlignment, getVerticalAlignment, setAlignment, setHorizontalAlignment, setVerticalAlignment`

Methods inherited from class de.grogra.imp3d.objects.Null
`getLocalTransformation, getNTypeImpl, getTransform, getTranslation, isTransforming, newInstance, postTransform, preTransform, setRotation, setScale, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransforming, setTranslation`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, fieldModified, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### color

    protected Color3f color

### color$FIELD

    public static final Node.NType.Field color$FIELD

### fillColor

    protected Color3f fillColor

### fillColor$FIELD

    public static final Node.NType.Field fillColor$FIELD

### FILLED_MASK

    protected static final int FILLED_MASK

See Also:
  Constant Field Values

### filled$FIELD

    public static final Node.NType.Field filled$FIELD

### font

    protected FontAdapter font

### font$FIELD

    public static final Node.NType.Field font$FIELD

### OUTLINED_MASK

    protected static final int OUTLINED_MASK

See Also:
  Constant Field Values

### outlined$FIELD

    public static final Node.NType.Field outlined$FIELD

### USED_BITS

    public static final int USED_BITS

See Also:
  Constant Field Values

Constructor Detail

### TextLabelBase

    public TextLabelBase()

Method Detail

### draw

    public void draw(java.lang.Object object,
                     boolean asNode,
                     RenderState rs)

  Specified by:
    `draw` in interface `Renderable`

### draw

    public static void draw(java.lang.String caption,
                            java.awt.Font font,
                            int horizontal,
                            int vertical,
                            Tuple3f c,
                            Tuple3f b,
                            boolean filled,
                            boolean outlined,
                            RenderState rs)

### getCaption

    protected abstract java.lang.String getCaption()

### getColor

    public Color3f getColor()

### getFillColor

    public Color3f getFillColor()

### getFont

    public FontAdapter getFont()

### isFilled

    public boolean isFilled()

### isOutlined

    public boolean isOutlined()

### pick

    public void pick(java.lang.Object object,
                     boolean asNode,
                     Point3d origin,
                     Vector3d direction,
                     Matrix4d t,
                     PickList list)

  Description copied from interface: `Pickable`
  Computes intersections of a given ray with this shape.

  Specified by:
    `pick` in interface `Pickable`
  Parameters:
    `object` - the object of which this shape is an attribute
    `asNode` - `true` iff object is a node
    `origin` - the origin of the ray, in local coordinates
    `direction` - the direction of the ray, in local coordinates
    `t` - the transformation from local coordinates to world coordinates
    `list` - the list to which intersections have to be added

### pick

    public static void pick(java.lang.String caption,
                            java.awt.Font font,
                            int horizontal,
                            int vertical,
                            Point3d origin,
                            Vector3d direction,
                            Matrix4d transformation,
                            PickList list)

### setColor

    public void setColor(Color3f value)

### setFillColor

    public void setFillColor(Color3f value)

### setFilled

    public void setFilled(boolean v)

### setFont

    public void setFont(FontAdapter value)

### setOutlined

    public void setOutlined(boolean v)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD